Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6039 - static routes to local net do not work any more
Summary: static routes to local net do not work any more
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-18 11:29 UTC by Christoph Rohland
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-02 15:57:41 UTC


Attachments (Terms of Use)

Description Christoph Rohland 1999-10-18 11:29:37 UTC
when configured with linuxconf

The linuxconf part was removed from

/etc/sysconfig/network-scripts/ifup-routes

Comment 1 Bill Nottingham 1999-10-18 14:34:59 UTC
Fixed in initscripts-4.56-1, which will be in the next Raw Hide
release.

Comment 2 Anonymous 2000-02-02 15:12:59 UTC
This is apparently not fixed in RH6.2 Beta 2

Comment 3 Bill Nottingham 2000-02-02 15:32:59 UTC
Could you give an example (i.e., post the config files) that doesn't
work?

Comment 4 Christoph Rohland 2000-02-02 15:41:59 UTC
If I use linuxconf to add eg a static route to the local net
1.1.1.1 with net,ask 255.255.0.0 it generates the file
/etc/sysconfig/static-routes with the following entry:

any net 1.1.1.1 netmask 255.255.0.0 gw eth0

Your script ecpects something like

eth0 ...

Comment 5 Bill Nottingham 2000-02-02 15:57:59 UTC
Actually, these should be handled through /etc/rc.d/init.d/network;
the reason they aren't working is because linuxconf is generating
*BROKEN* files. Somehow I'm not surprised.

A workaround will be added in the next initscripts release.


Note You need to log in before you can comment on or make changes to this bug.